package org.expressolivre.cte.calendar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;


/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 8, 2011 at 9:36:08 AM
 * 
 */
public class AdicionarCompromisso extends BaseCalendarTestCase {

	@Parameters({ "titulo", "horaInicial", "minutoInicial", "horaFinal",
			"minutoFinal" })
	@Test(dependsOnMethods = { "init" })
	public void test(String titulo, String horaInicial, String minutoInicial,
			String horaFinal, String minutoFinal) {

		// Pega data corrente.
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		// Adiciona um compromisso para data atual.
		AppointmentPage ap = super.newAppointment(sdf.format(cal.getTime()));
		ap.setTitle(titulo);
		ap.setStartDate(sdf2.format(cal.getTime()));
		ap.setStartHour(horaInicial);
		ap.setStartMinute(minutoInicial);
		ap.setEndDate(sdf2.format(cal.getTime()));
		ap.setEndHour(horaFinal);
		ap.setEndMinute(minutoFinal);

		ap.saveAppointment();
	}
}
